%define name roundcube-plugin-thunderbird_labels
%define version 1.6.1
%define release 1
Summary: Provides context Menu to Roundcube.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
#https://github.com/mike-kfed/roundcube-thunderbird_labels
Source: roundcube-thunderbird_labels-%{version}.tar.gz
License: GNU General Public License Version 3+
Group: SMEserver/addon
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildArchitectures: noarch
BuildRequires: smeserver-devtools
Requires: smeserver-release >= 11.0
AutoReqProv: no

%description
Roundcube Webmail is a browser-based multilingual IMAP client with an
application-like user interface.  It provides full functionality
expected from an e-mail client, including MIME support, address book,
folder manipulation and message filters.

Displays the message rows using the same colors as Thunderbird does
Label of a message can be changed/set exactly like in Thunderbird
Keyboard shortcuts on keys 0-5 work like in Thunderbird
Integrates into contextmenu plugin when available
Works for skins classic, larry and elastic (highest priority for elastic)

%changelog
* Wed Sep 11 2024 Jean-Philippe Pialasse <jpp@koozali.org> 1.6.1-1.sme
- initial release for SME 11

%prep

%setup -q -n roundcube-thunderbird_labels-%{version}

%build
#perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/roundcubemail/plugins/thunderbird_labels/
( find . -depth -print | cpio -dump $RPM_BUILD_ROOT/usr/share/roundcubemail/plugins/thunderbird_labels/)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
> %{name}-%{version}-filelist
#echo "%doc COPYING"  >> %{name}-%{version}-filelist
#--dir <dir> 'attr(755,user,grp)' \
#--file <file> 'attr(755,root,root)' \

%clean
cd ..
rm -rf roundcube-thunderbird_labels-%{version}

%pre

%preun

%post

%postun
#uninstall
%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
